CREATE TABLE IF NOT EXISTS `oa_attlog` (
  `id` int unsigned NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `sn` varchar(32) COMMENT 'serial number',
  `userPin` varchar(24) COMMENT 'User_PIN',
  `verifyType` int COMMENT 'Verify_Type',
  `verifyTime` varchar(24) COMMENT 'Verify_Time',
  `status` int COMMENT 'Status',
  `workCodeId` int COMMENT 'Work_Code_ID',
  `sensorNo` int COMMENT 'Sensor_NO',
  `attFlag` int COMMENT 'Att_Flag',
  `createId` varchar(24) COMMENT 'CREATE_ID',
  `modifyTime` varchar(24) COMMENT 'MODIFY_TIME',
  `sendFlag` int DEFAULT '0' COMMENT 'SEND_FLAG', 
  PRIMARY KEY `id` (`id`),
  UNIQUE KEY `unique` (`sn`, `userPin`, `verifyTime`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `oa_oplog` (
  `id` int unsigned NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `sn` varchar(32) COMMENT 'serial number',
  `opType` int COMMENT 'operate type',
  `operator` varchar(24),
  `opTime` varchar(24) COMMENT 'operate time',
  `opWho` varchar(24) COMMENT 'operateor',
  `value1` int, 
  `value2` int, 
  `value3` int,
  PRIMARY KEY `id` (`id`),
  UNIQUE KEY `unique` (`sn`, `opType`, `opTime`, `opWho`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `oa_cmd` (
  `id` varchar(32) NOT NULL,
  `sn` varchar(32) COMMENT 'serial number',
  `command` varchar(255) COMMENT 'request command',
  `response` varchar(8) NOT NULL COMMENT 'response return code',
  `createdDate` datetime NOT NULL,
  PRIMARY KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;    

ALTER TABLE `cash_invoice` ADD `serialNumber` smallint(5) NOT NULL AFTER `id`;
ALTER TABLE `cash_trade`   ADD `serialNumber` smallint(5) NOT NULL AFTER `id`;
ALTER TABLE `sys_schema`   ADD `serialNumber` varchar(5) NOT NULL AFTER `id`;
ALTER TABLE `cash_voucher` CHANGE `origin` `origin` varchar(255) NOT NULL;
ALTER TABLE `cash_voucherdetail` ADD `currency` varchar(5) NOT NULL DEFAULT 'RMB' COMMENT '币别代码' AFTER `account`;
